org.eclipse.microprofile.reactive.messaging.tck.metrics

## Class MetricsTestBean

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.metrics.MetricsTestBean

    @ApplicationScoped
    public class MetricsTestBean
    extends Object

### Field Summary

Fields
`static String` `CHANNEL_APP_A`
`static String` `CHANNEL_APP_B`
`static String` `CONNECTOR_IN`
`static String` `CONNECTOR_OUT`
`static String` `CONNECTOR_PROCESS`

### Constructor Summary

Constructors
Constructor and Description
`MetricsTestBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getInAppMessagesReceived()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `produce()`
`void` `receive(String input)`
`String` `simpleMapping(String a)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>>` `split(Message<String> a)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `split(String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTOR_IN

    public static final String CONNECTOR_IN

See Also:
  Constant Field Values

#### CONNECTOR_PROCESS

    public static final String CONNECTOR_PROCESS

See Also:
  Constant Field Values

#### CONNECTOR_OUT

    public static final String CONNECTOR_OUT

See Also:
  Constant Field Values

#### CHANNEL_APP_A

    public static final String CHANNEL_APP_A

See Also:
  Constant Field Values

#### CHANNEL_APP_B

    public static final String CHANNEL_APP_B

See Also:
  Constant Field Values

### Constructor Detail

#### MetricsTestBean

    public MetricsTestBean()

### Method Detail

#### simpleMapping

    public String simpleMapping(String a)

#### split

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>> split(Message<String> a)

#### produce

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> produce()

#### split

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> split(String input)

#### receive

    public void receive(String input)

#### getInAppMessagesReceived

    public int getInAppMessagesReceived()